﻿package { 
	import flash.net.*;
	import flash.events.*;
	import flash.utils.*;
	
	public class MyUserData {
		// This is an example of basic user data.
		// This class is used by the game swf to serilalize/unserialize user data
		public var uname:String;
		public var additional:String;
		public var gold:Number;
		public var uitems:Number;

		public function MyUserData() {
			setDefault();
		}
		
		public function setDefault() {
			setData("GUEST","",10,0);
		}
		
		public function setData(s1:String,s2:String,g:Number,i:Number) {
			uname=s1;
			additional=s2;
			gold=g;
			uitems=i;
		}
		
		// export level data
		public function serialize():ByteArray {
			var bytes:ByteArray=new ByteArray();
			bytes.writeInt(additional.length);
			bytes.writeUTFBytes(additional);
			bytes.writeInt(uname.length);
			bytes.writeUTFBytes(uname);
			bytes.writeInt(gold);
			bytes.writeInt(uitems);
			
			return bytes;
		}
		
		// import level data
		public function unserialize(data:ByteArray) {
			if (data.length>0) { // If the user data is not empty (ie not the first time the player plays this game)
				try {
					var tlength:Number;
					data.position=0;
					tlength=data.readInt();
					additional=data.readUTFBytes(tlength);
					tlength=data.readInt();
					uname=data.readUTFBytes(tlength);
					gold=data.readInt();
					uitems=data.readInt();
				} catch (e:Error) {
					setDefault();
				}
			} else setDefault(); //Very important to reinitialize the user data in that case. It can be a new player slot, and you must not keep the data of the former player
		}
	}
}